#ifndef __DEFINES_HH
#define __DEFINES_HH
//
//  Project  : 
//  File     : defines.hh
//  Author   : Ronald Kriemann
//  Purpose  : common definitions
//

#ifdef EGCS
#  define EXCEPTIONS
#else
#  ifdef EXCEPTIONS
#    undef EXCEPTIONS
#  endif
#endif

#define PORTNUMBER  3014
#define STOREPORTNUMBER  4014


// common settings
#ifndef FALSE
#define FALSE 0
#endif

#ifndef false
#define false 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

#ifndef true
#define true 1
#endif

// return-codes of the functions
#define SUCCESS	0
#define ERROR	-1

// type declarations
typedef  unsigned char  uchar;
typedef  unsigned short ushort;
typedef  unsigned int   uint;
typedef  unsigned long  ulong;
typedef  double         TFloat;

// generic pointer
typedef unsigned char *POINTER;
// two byte word
typedef unsigned short int UINT2;
// four byte word
typedef unsigned long  int UINT4;

#endif			// __DEFINES_HH


